﻿using Dto;
using Model;
using Shared;

namespace Model;

public interface IUserService
{
    public Task<IEnumerable<User>> GetUsers(int index, int count, AthleteOrderCriteria criteria , bool descending = false);
    public Task<User?> GetUserByIdAsync(int id);
    public Task<User?> AddUser(User athlete);
    public Task<User?> UpdateUser(int id, User user);
    public Task<bool> DeleteUser(int id);
    public Task<int> GetNbItems();
}